## r-cran-cmstatr 0.7.1

=== DESCRIPTION ===
Package: cmstatr
Type: Package
Title: Statistical Methods for Composite Material Data
Version: 0.7.1
Date: 2020-12-09
Depends: R (>= 3.3)
Authors@R: c(
    person("Stefan", "Kloppenborg", email = "stefan@kloppenborg.ca",
      role = c("aut", "cre")),
    person("Billy", "Cheng", email = "bcheng@comtekadvanced.com",
      role = c("ctb")),
    person("Ally", "Fraser", email = "ally.fraser25@gmail.com",
      role = c("ctb"))
  )
Description: An implementation of the statistical methods commonly
  used for advanced composite materials in aerospace applications.
  This package focuses on calculating basis values (lower tolerance
  bounds) for material strength properties, as well as performing the
  associated diagnostic tests. This package provides functions for
  calculating basis values assuming several different distributions,
  as well as providing functions for non-parametric methods of computing
  basis values. Functions are also provided for testing the hypothesis
  that there is no difference between strength and modulus data from an
  alternate sample and that from a "qualification" or "baseline" sample.
  For a discussion of these statistical methods and their use, see the
  Composite Materials Handbook, Volume 1 (2012, ISBN: 978-0-7680-7811-4).
  Additional details about this package are available in the paper by
  Kloppenborg (2020, <doi:10.21105/joss.02265>).
URL: https://www.cmstatr.net/,
        https://github.com/ComtekAdvancedStructures/cmstatr
BugReports: https://github.com/ComtekAdvancedStructures/cmstatr/issues
License: AGPL-3
Encoding: UTF-8
LazyData: true
Imports: dplyr, generics, ggplot2, kSamples, MASS, rlang, stats, tibble
Suggests: knitr, lintr, purrr, rmarkdown, spelling, testthat, tidyr,
        vdiffr
RoxygenNote: 7.1.1
VignetteBuilder: knitr
Language: en-US
NeedsCompilation: no
Packaged: 2020-12-09 22:41:13 UTC; skloppenborg
Author: Stefan Kloppenborg [aut, cre],
  Billy Cheng [ctb],
  Ally Fraser [ctb]
Maintainer: Stefan Kloppenborg <stefan@kloppenborg.ca>
Repository: CRAN
Date/Publication: 2020-12-10 08:10:02 UTC

=== debian/changelog ===
r-cran-cmstatr (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jan 2021 11:54:34 +0100

r-cran-cmstatr (0.7.0-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 15:17:32 +0200

r-cran-cmstatr (0.7.0-1) unstable; urgency=medium

  * Initial release (closes: #968565)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 17 Aug 2020 16:39:01 +0000

=== debian/control ===
Source: r-cran-cmstatr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-dplyr,
               r-cran-generics,
               r-cran-ggplot2,
               r-cran-ksamples,
               r-cran-mass,
               r-cran-rlang,
               r-cran-tibble
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cmstatr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cmstatr.git
Homepage: https://cran.r-project.org/package=cmstatr
Rules-Requires-Root: no

Package: r-cran-cmstatr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Statistical Methods for Composite Material Data
 An implementation of the statistical methods commonly
 used for advanced composite materials in aerospace applications.
 This package focuses on calculating basis values (lower tolerance
 bounds) for material strength properties, as well as performing the
 associated diagnostic tests. This package provides functions for
 calculating basis values assuming several different distributions,
 as well as providing functions for non-parametric methods of computing
 basis values. Functions are also provided for testing the hypothesis
 that there is no difference between strength and modulus data from an
 alternate sample and that from a "qualification" or "baseline" sample.
 For a discussion of these statistical methods and their use, see the
 Composite Materials Handbook, Volume 1 (2012, ISBN: 978-0-7680-7811-4).
 Additional details about this package are available in the paper by
 Kloppenborg (2020, <doi:10.21105/joss.02265>).

## r-cran-cmstatr 0.9.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: cmstatr
 Type: Package
 Title: Statistical Methods for Composite Material Data
-Version: 0.7.1
-Date: 2020-12-09
+Version: 0.9.1
+Date: 2021-09-30
 Depends: R (>= 3.3)
 Authors@R: c(
     person("Stefan", "Kloppenborg", email = "stefan@kloppenborg.ca",
@@ -10,7 +10,9 @@
     person("Billy", "Cheng", email = "bcheng@comtekadvanced.com",
       role = c("ctb")),
     person("Ally", "Fraser", email = "ally.fraser25@gmail.com",
-      role = c("ctb"))
+      role = c("ctb")),
+    person("Comtek Advanced Structures, Ltd.",
+      role = c("fnd"))
   )
 Description: An implementation of the statistical methods commonly
   used for advanced composite materials in aerospace applications.
@@ -26,23 +28,25 @@
   Composite Materials Handbook, Volume 1 (2012, ISBN: 978-0-7680-7811-4).
   Additional details about this package are available in the paper by
   Kloppenborg (2020, <doi:10.21105/joss.02265>).
-URL: https://www.cmstatr.net/,
-        https://github.com/ComtekAdvancedStructures/cmstatr
-BugReports: https://github.com/ComtekAdvancedStructures/cmstatr/issues
+URL: https://www.cmstatr.net/, https://github.com/cmstatr/cmstatr
+BugReports: https://github.com/cmstatr/cmstatr/issues
 License: AGPL-3
 Encoding: UTF-8
 LazyData: true
-Imports: dplyr, generics, ggplot2, kSamples, MASS, rlang, stats, tibble
-Suggests: knitr, lintr, purrr, rmarkdown, spelling, testthat, tidyr,
-        vdiffr
-RoxygenNote: 7.1.1
+Imports: dplyr, generics, ggplot2, kSamples, MASS, purrr, rlang, stats,
+        tibble
+Suggests: knitr, lintr, rmarkdown, spelling, testthat, tidyr, vdiffr
+RoxygenNote: 7.1.2
 VignetteBuilder: knitr
 Language: en-US
+Config/testthat/parallel: true
+Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2020-12-09 22:41:13 UTC; skloppenborg
+Packaged: 2021-09-30 16:35:19 UTC; stefan
 Author: Stefan Kloppenborg [aut, cre],
   Billy Cheng [ctb],
-  Ally Fraser [ctb]
+  Ally Fraser [ctb],
+  Comtek Advanced Structures, Ltd. [fnd]
 Maintainer: Stefan Kloppenborg <stefan@kloppenborg.ca>
 Repository: CRAN
-Date/Publication: 2020-12-10 08:10:02 UTC
+Date/Publication: 2021-09-30 16:50:02 UTC

=== debian/changelog ===
r-cran-cmstatr (0.9.1-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 0.9.1

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Oct 2021 08:12:16 +0000

r-cran-cmstatr (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 14:42:09 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
                r-cran-ggplot2,
                r-cran-ksamples,
                r-cran-mass,
+               r-cran-purrr,
                r-cran-rlang,
                r-cran-tibble
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cmstatr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cmstatr.git
 Homepage: https://cran.r-project.org/package=cmstatr

## r-cran-cmstatr 0.9.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Package: cmstatr
 Type: Package
 Title: Statistical Methods for Composite Material Data
-Version: 0.9.1
-Date: 2021-09-30
+Version: 0.9.2
+Date: 2023-09-05
 Depends: R (>= 3.3)
 Authors@R: c(
     person("Stefan", "Kloppenborg", email = "stefan@kloppenborg.ca",
+      comment = c(ORCID = "0000-0002-1908-5214"),
       role = c("aut", "cre")),
     person("Billy", "Cheng", email = "bcheng@comtekadvanced.com",
       role = c("ctb")),
     person("Ally", "Fraser", email = "ally.fraser25@gmail.com",
+      role = c("ctb")),
+    person("Jeffrey", "Borlik",
       role = c("ctb")),
     person("Comtek Advanced Structures, Ltd.",
       role = c("fnd"))
@@ -36,17 +39,18 @@
 Imports: dplyr, generics, ggplot2, kSamples, MASS, purrr, rlang, stats,
         tibble
 Suggests: knitr, lintr, rmarkdown, spelling, testthat, tidyr, vdiffr
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 Language: en-US
 Config/testthat/parallel: true
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2021-09-30 16:35:19 UTC; stefan
-Author: Stefan Kloppenborg [aut, cre],
+Packaged: 2023-09-09 02:52:34 UTC; stefan
+Author: Stefan Kloppenborg [aut, cre] (<https://orcid.org/0000-0002-1908-5214>),
   Billy Cheng [ctb],
   Ally Fraser [ctb],
+  Jeffrey Borlik [ctb],
   Comtek Advanced Structures, Ltd. [fnd]
 Maintainer: Stefan Kloppenborg <stefan@kloppenborg.ca>
 Repository: CRAN
-Date/Publication: 2021-09-30 16:50:02 UTC
+Date/Publication: 2023-09-09 06:50:05 UTC

=== debian/changelog ===
r-cran-cmstatr (0.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Add autopkgtest
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Sep 2023 09:49:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-cmstatr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Shayan Doust <hello@shayandoust.me>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cmstatr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cmstatr.git
+Homepage: https://cran.r-project.org/package=cmstatr
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -15,11 +19,7 @@
                r-cran-purrr,
                r-cran-rlang,
                r-cran-tibble
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cmstatr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cmstatr.git
-Homepage: https://cran.r-project.org/package=cmstatr
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-cmstatr
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-lintr,
        r-cran-rmarkdown,
        r-cran-spelling,
        r-cran-testthat,
        r-cran-tidyr,
        r-cran-vdiffr
Restrictions: allow-stderr

## r-cran-cmstatr 0.9.3

=== debian/changelog ===
r-cran-cmstatr (0.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Fri, 17 May 2024 16:07:43 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cmstatr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cmstatr.git
 Homepage: https://cran.r-project.org/package=cmstatr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-cmstatr 0.10.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: cmstatr
 Type: Package
 Title: Statistical Methods for Composite Material Data
-Version: 0.9.2
-Date: 2023-09-05
+Version: 0.10.0
+Date: 2024-11-18
 Depends: R (>= 3.3)
 Authors@R: c(
     person("Stefan", "Kloppenborg", email = "stefan@kloppenborg.ca",
@@ -13,6 +13,8 @@
     person("Ally", "Fraser", email = "ally.fraser25@gmail.com",
       role = c("ctb")),
     person("Jeffrey", "Borlik",
+      role = c("ctb")),
+    person("Brice", "Langston", email = "tblangst@gmail.com",
       role = c("ctb")),
     person("Comtek Advanced Structures, Ltd.",
       role = c("fnd"))
@@ -37,20 +39,21 @@
 Encoding: UTF-8
 LazyData: true
 Imports: dplyr, generics, ggplot2, kSamples, MASS, purrr, rlang, stats,
-        tibble
-Suggests: knitr, lintr, rmarkdown, spelling, testthat, tidyr, vdiffr
-RoxygenNote: 7.2.3
+        tibble, tidyr
+Suggests: knitr, lintr, rmarkdown, spelling, testthat, vdiffr
+RoxygenNote: 7.3.2
 VignetteBuilder: knitr
 Language: en-US
 Config/testthat/parallel: true
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2023-09-09 02:52:34 UTC; stefan
+Packaged: 2024-11-19 04:04:50 UTC; stefan
 Author: Stefan Kloppenborg [aut, cre] (<https://orcid.org/0000-0002-1908-5214>),
   Billy Cheng [ctb],
   Ally Fraser [ctb],
   Jeffrey Borlik [ctb],
+  Brice Langston [ctb],
   Comtek Advanced Structures, Ltd. [fnd]
 Maintainer: Stefan Kloppenborg <stefan@kloppenborg.ca>
 Repository: CRAN
-Date/Publication: 2023-09-09 06:50:05 UTC
+Date/Publication: 2024-11-19 07:50:08 UTC

=== debian/changelog ===
r-cran-cmstatr (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 20 Jan 2025 13:06:53 +0900

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
                r-cran-mass,
                r-cran-purrr,
                r-cran-rlang,
-               r-cran-tibble
+               r-cran-tibble,
+               r-cran-tidyr
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-cmstatr

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,5 @@
         r-cran-rmarkdown,
         r-cran-spelling,
         r-cran-testthat,
-        r-cran-tidyr,
         r-cran-vdiffr
 Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/cmstatr_([-\d.]*)\.tar\.gz
